<li [ngClass]="{
                'list-group-item': true,
                'list-group-item-success': appareilStatus === 'allumé',
                'list-group-item-danger' : appareilStatus === 'éteint' }" >

  <div class="elem" [ngStyle]="{color: getColor()}">
    <p class="one"><span class="key">Appareil :</span> <span class="value">{{ appareilName }}</span></p>
    <p class="two"><span class="key">Statut :  </span> <span class="value">{{ getStatus() }}</span></p>
  </div>

  <div class="bloc_btn_switch">
    <button class="btn btn-success"
            (click)="onSwitchStart()"
            [disabled]="appareilStatus === 'allumé'">
      <i class="glyphicon glyphicon-log-in"></i>
    </button>
    <button class="btn btn-danger"
            (click)="onSwitchDisable()"
            [disabled]="appareilStatus === 'éteint'">
      <i class="glyphicon glyphicon-stop"></i>
    </button>
  </div>
</li>

<p *ngIf="!this.authService.isAuth"><a routerLink="/auth">Connectez-vous</a> si vous souhaitez voir le détatils de chaque élément</p>
<a *ngIf="this.authService.isAuth"  [routerLink]="[id]">Voir détails</a>
